{
    "attributes": {
        "NOTE": {
            "isGenerated": false,
            "key": "NOTE",
            "origin": "7c3afee1-84c6-48c1-8e76-0d4bc09d2d9d",
            "type": "STRING",
            "value": "Usage of 'time_start_and_duration' is deprecated in v1.2.5"
        },
        "_author": {
            "isGenerated": false,
            "key": "_author",
            "origin": "7c3afee1-84c6-48c1-8e76-0d4bc09d2d9d",
            "type": "STRING",
            "value": "filatov"
        },
        "_description": {
            "isGenerated": false,
            "key": "_description",
            "origin": "7c3afee1-84c6-48c1-8e76-0d4bc09d2d9d",
            "type": "STRING",
            "value": "Check that Secured DENM generation time is inside the validity period of the signing certificate;\r\nCheck that generation time value is realistic"
        },
        "_expectedResults": {
            "isGenerated": false,
            "key": "_expectedResults",
            "origin": "7c3afee1-84c6-48c1-8e76-0d4bc09d2d9d",
            "type": "STRING",
            "value": "with\r\n\tthe IUT being in the 'authorized' state\r\nensure that\r\n\twhen\r\n\t\tthe IUT is requested to send a DENM\r\n\tthen\r\n\t\tthe IUT sends a SecuredMessage\r\n\t\t\tcontaining exactly one header_fields['generation_time']\r\n\t\t\t\tcontaining generation_time\r\n\t\t\t\t\tindicating GEN_TIME (CUR_TIME - 10min <= GEN_TIME < CUR_TIME + 10min)\r\n\t\t\tcontaining header_fields['signer_info']\r\n\t\t\t\tcontaining signer\r\n\t\t\t\t\tcontaining type\r\n\t\t\t\t\t\tindicating 'certificate'\r\n\t\t\t\t\tcontaining certificate\r\n\t\t\t\t\t\tcontaining validity_restrictions['time_end']\r\n\t\t\t\t\t\t\tand containing end_validity\r\n\t\t\t\t\t\t\t\tindicating value > GEN_TIME\r\n\t\t\t\t\t\tor containing validity_restrictions['time_start_and_end']\r\n\t\t\t\t\t\t\tcontaining start_validity\r\n\t\t\t\t\t\t\t\tindicating value <= GEN_TIME\r\n\t\t\t\t\t\t\tand containing end_validity\r\n\t\t\t\t\t\t\t\tindicating value > GEN_TIME\r\n\t\t\t\t\t\tor containing validity_restrictions['time_start_and_duration']\r\n\t\t\t\t\t\t\tcontaining start_validity (X_START_VALIDITY)\r\n\t\t\t\t\t\t\t\tindicating value <= GEN_TIME\r\n\t\t\t\t\t\t\tand containing duration\r\n\t\t\t\t\t\t\t\tindicating value > GEN_TIME - X_START_VALIDITY"
        },
        "_status": {
            "isGenerated": false,
            "key": "_status",
            "origin": "7c3afee1-84c6-48c1-8e76-0d4bc09d2d9d",
            "type": "STRING",
            "value": "verified"
        },
        "_type": {
            "isGenerated": false,
            "key": "_type",
            "origin": "7c3afee1-84c6-48c1-8e76-0d4bc09d2d9d",
            "type": "STRING",
            "value": "TestPurpose"
        }
    },
    "uuid": "7c3afee1-84c6-48c1-8e76-0d4bc09d2d9d"
}